CVE-2006-3249
CVSS7.5
发布时间 :2006-06-27 06:05:00
修订时间 :2008-11-09 01:28:45
NMCO    

[原文]** DISPUTED ** SQL injection vulnerability in search.php in Phorum 5.1.14 and earlier allows remote attackers to execute arbitrary SQL commands via the page parameter. NOTE: the vendor has disputed this report, stating "If a non positive integer or non-integer is used for the page parameter for a search URL, the search query will use a negative number for the LIMIT clause. This causes the query to break, showing no results. It IS NOT however a sql injection error." While the original report is from a researcher with mixed accuracy, as of 20060703, CVE does not have any additional information regarding this issue.


[CNNVD]Phorum search.php SQL注入漏洞(CNNVD-200606-522)

        ** 有争议 ** Phorum 5.1.14及更早版本的search.php中的SQL注入漏洞,可让远程攻击者通过page参数执行任意SQL命令。注意:供应商对此报告有争议,声称"如果对搜索URL的page参数使用非正整数或非整数,搜索查询将会对LIMIT子句使用负数。这会导致查询中断,不显示任何结果。但这不是sql注入错误"。然而原始报告的研究者信息不太准确,截至2006年7月3日,CVE没有获得关于此问题的更多信息。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-3249
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-3249
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200606-522
(官方数据源) CNNVD

- 其它链接及资源

http://www.phorum.org/cgi-bin/trac.cgi/ticket/382#preview
(UNKNOWN)  MISC  http://www.phorum.org/cgi-bin/trac.cgi/ticket/382#preview
http://xforce.iss.net/xforce/xfdb/27369
(UNKNOWN)  XF  phorum-search-page-sql-injection(27369)
http://www.phorum.org/phorum5/read.php?14,114358
(UNKNOWN)  MISC  http://www.phorum.org/phorum5/read.php?14,114358
http://www.osvdb.org/27165
(UNKNOWN)  OSVDB  27165
http://pridels0.blogspot.com/2006/06/phorum-sql-injection-vuln.html
(UNKNOWN)  MISC  http://pridels0.blogspot.com/2006/06/phorum-sql-injection-vuln.html

- 漏洞信息

Phorum search.php SQL注入漏洞
高危 SQL注入
2006-06-27 00:00:00 2006-07-10 00:00:00
远程  
        ** 有争议 ** Phorum 5.1.14及更早版本的search.php中的SQL注入漏洞,可让远程攻击者通过page参数执行任意SQL命令。注意:供应商对此报告有争议,声称"如果对搜索URL的page参数使用非正整数或非整数,搜索查询将会对LIMIT子句使用负数。这会导致查询中断,不显示任何结果。但这不是sql注入错误"。然而原始报告的研究者信息不太准确,截至2006年7月3日,CVE没有获得关于此问题的更多信息。

- 公告与补丁

        

- 漏洞信息

27165
Phorum search.php page Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity
Vendor Verified

- 漏洞描述

Phorum has been reported to contain a flaw that may allow an attacker to carry out an SQL injection attack. The issue is supposedly due to the search.php script not properly sanitizing user-supplied input to the 'page' variable. The vendor has disputed this claim saying "If a non positive integer or non-integer is used for the page parameter for a search URL, the search query will use a negative number for the LIMIT clause. This causes the query to break, showing no results. It IS NOT however a sql injection error."

- 时间线

2006-06-24 Unknow
Unknow Unknow

- 解决方案

Currently, there are no known upgrades, patches, or workarounds available to correct this issue.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站